<template>
  <div class="row">
    <div class="col-md-7 col-lg-7">
      <div class="sidenav">
        <!--<img src="../assets/avila.jpeg" width="50px" height="50px">-->
      </div>
    </div>
    <div class="col-md-5 col-lg-5">
      <div class="main row vh-100 justify-content-center align-items-center">
        <div class="login-form">
          <h3 style="color: black; font-weight: bold">Iniciar Sesión</h3>
          <br />
          <form @submit.prevent="send">
            <div class="form-group">
              <input
                type="text"
                class="form-control"
                placeholder="Cédula"
                v-model="cedula"
              />
              {{ error.cedula }}
            </div>
            <br />
            <div class="form-group">
              <input
                type="password"
                class="form-control"
                placeholder="Contraseña"
                v-model="password"
                required
              />
            </div>
            {{ error.password }}
            <br />

            <div class="form-group">
              <button
                type="submit"
                class="btn w-100"
                style="background: #212741; color: #fff"
                :disabled="sending"
              >
                {{ btn }}
                <div class="uil-reload-css reload-small" v-show="sending">
                  <div></div>
                </div>
              </button>
            </div>
            <div class="mt-5">
              No tienes cuenta?
              <router-link to="/register" style="color: #210139"
                >Registrate</router-link
              >
            </div>

            <!--<button type="submit" class="btn btn-secondary">Register</button>-->
          </form>
        </div>
      </div>
    </div>
  </div>
</template>
<style>
html {
  width: 100%;
  height: 100%;
}
h3 {
  border-left: 6px #1ed0d4 solid;
}
.row {
  width: 100%;
  height: 100%;
}
body {
  font-family: "Lato", sans-serif;
}

.main-head {
  height: 150px;
  background: #fff;
}
.sidenav {
  height: 100%;
  background: url("../assets/logo.jpeg") no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.main {
  padding: 0px 10px;
}

.login-main-text {
  margin-top: 20%;
  padding: 60px;
  color: #000;
}

.login-main-text h2 {
  font-weight: 300;
}

.btn-black {
  background-color: #000 !important;
  color: #fff;
}
</style>
<script>
//import Login from '@/components/Login.vue'

export default {
  name: "LoginView",
  components: {
    //Login
  },
  data() {
    return {
      error: {},
      cedula: "",
      password: "",
      btn: "Iniciar Sesión",
      sending: false,
    };
  },
  watch: {
    cedula: function () {
      console.log(this.cedula);
      this.cedula = this.cedula.replace(/[^\d]/g, "");
      //vm.foreign = false;
      this.$set(this.error, "cedula", "");
    },
  },
  methods: {
    send() {
        console.log('bien')
    if (!/\d{7,}/.test(this.cedula)) {
        this.$set(this.error, 'cedula', "Introduzca un número de cédula válido.");
        this.$refs.cedula.focus();
        return;
    }
    if(this.cedula==''){
        this.$set(this.error, 'cedula', "La Cédula es obligatoria");
        this.$refs.cedula.focus();
    }
      this.sending = true;
      this.btn = "Ingresando...";
      this.axios
        .post("http://localhost:8050/login", {
          ci: this.cedula,
          pass: this.password,
        })
        .then((response) => {
          console.log(response);
          this.btn = "Iniciar Sesión";
          this.sending = false;
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
};
</script>